<template>
  <form action="" @submit.prevent>
    <label>Neue Kettenregel hinzufügen</label>
    <div class="input-group">
      <input type="text" class="rule-input" maxlength="1" v-model="variable">
      <span>=</span>
      <input type="text" class="rule-input" v-model="unitRuleSet">
    </div>
    <button class="is-elevated" @click="addUnitRule">Hinzufügen</button>
  </form>
</template>

<script>
import {inject, ref} from "vue";

export default {
  name: "UnitRuleForm",
  setup() {
    const variable = ref("")
    const unitRuleSet = ref("")

    const toggleModal = inject('toggleModal')

    const column = inject('col')

    const addUnitRule = () => {
      column.value.unitRulesWithSets.push({
            sym: variable.value,
            set: unitRuleSet.value === "" ? [] : unitRuleSet.value.trim().split(",")
          }
      )
      toggleModal()
    }

    return {
      variable,
      unitRuleSet,
      addUnitRule
    }
  }
}
</script>

<style scoped>

</style>